Name:           idle3-tools
Version:        0.9.1
Release:        4%{?dist}
Summary:        Manipulate the value of the idle3 timer found on recent WD Hard Disk Drives
License:        GPLv3
Group:          Applications/System
URL:            http://idle3-tools.sourceforge.net/
Source0:        http://sourceforge.net/projects/idle3-tools/files/%{name}-%{version}.tgz
BuildRequires:  kernel-headers

%description
Idle3-tools provides a linux/unix utility that can disable, get and set the
value of the infamous idle3 timer found on recent Western Digital Hard Disk
Drives.  It can be used as an alternative to the official wdidle3.exe
proprietary utility, without the need to reboot in a DOS environement.  A power
off/on cycle of the drive will still be mandatory for new settings to be taken
into account.

Idle3-tools is an independant project, unrelated in any way to Western Digital Corp.
WARNING: THIS SOFTWARE IS EXPERIMENTAL AND NOT WELL TESTED. IT ACCESSES LOW
LEVEL INFORMATION OF YOUR HARDDRIVE. USE AT YOUR OWN RISK.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" make %{?_smp_mflags} \
    LDFLAGS="${RPM_LD_FLAGS}" STRIP=/bin/true

%install
rm -rf $RPM_BUILD_ROOT
%make_install binprefix=/usr

%files
%doc COPYING
%{_sbindir}/idle3ctl
%{_mandir}/man8/idle3ctl*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.9.1-2
- Fix -debuginfo (#883104).

* Mon Dec  3 2012 Paul Komkoff <i@stingr.net> - 0.9.1-1
- initial version
